io.undertow.attribute

## Class ExchangeAttributeParser

- java.lang.Object
- - io.undertow.attribute.ExchangeAttributeParser

    public class ExchangeAttributeParser
    extends Object

Attribute parser for exchange attributes. This builds an attribute from a string definition.

This uses a service loader mechanism to allow additional token types to be loaded. Token definitions are loaded from the provided class loader.

Author:
  Stuart Douglas
See Also:
  `ExchangeAttributes.parser(ClassLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExchangeAttribute` `parse(String valueString)` Parses the provided value string, and turns it into a list of exchange attributes.
`ExchangeAttribute` `parseSingleToken(String token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public ExchangeAttribute parse(String valueString)

Parses the provided value string, and turns it into a list of exchange attributes.

Tokens are created according to the following rules:

%a - % followed by single character. %% is an escape for a literal % %{.*}a? - % plus curly braces with any amount of content inside, followed by an optional character ${.*} - $ followed by a curly braces to reference an item from the predicate context

Parameters:
  `valueString` -
Returns:

#### parseSingleToken

    public ExchangeAttribute parseSingleToken(String token)